testing::internal::ConstCharPtr Struct Reference

`#include <gtest.h>`

## Public Member Functions

| ConstCharPtr (const char *str)
| operator bool () const

## Public Attributes

const char * | value

## Detailed Description

Definition at line 7265 of file gtest.h.

## Constructor & Destructor Documentation

## ConstCharPtr()

testing::internal::ConstCharPtr::ConstCharPtr | ( | const char * | str | ) |

inline

Definition at line 7266 of file gtest.h.

## Member Function Documentation

## operator bool()

testing::internal::ConstCharPtr::operator bool | ( |  | ) | const

inline

Definition at line 7267 of file gtest.h.

## Member Data Documentation

## value

const char* testing::internal::ConstCharPtr::value

Definition at line 7268 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h